Bug 254711 - audio/faad: move mastersite to github, upgrade to 2.10.0
Summary: audio/faad: move mastersite to github, upgrade to 2.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-02 07:59 UTC by Kurt Jaeger
Modified: 2021-04-12 05:50 UTC (History)
3 users (show)

See Also:
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2021-04-02 07:59:52 UTC
According to

https://www.videoproc.com/resource/what-happened-to-audiocoding.htm

the mastersite moved to github. Latest release is 2.10.0.
Comment 1 Kurt Jaeger freebsd_committer 2021-04-02 08:00:06 UTC
Ups:

https://github.com/knik0/faad2
Comment 2 daniel.engberg.lists 2021-04-03 16:39:13 UTC
I think it would make more sense to detach it from ports as much as possible
Comment 3 Kurt Jaeger freebsd_committer 2021-04-03 17:31:50 UTC
Why ?
Comment 4 daniel.engberg.lists 2021-04-03 17:59:33 UTC
Not a great track record [1], slow [2], development pretty much seems to be bugfixes and the majority of software (at least in ports) supports both faad and/or ffmpeg or has moved to ffmpeg.

[1]
https://nvd.nist.gov/vuln/search/results?form_type=Basic&results_type=overview&query=faad2&search_type=all

[2]
FreeBSD 13.0-RC1 (arm64), RockPro64

root@tsukihi:/tmp/test # /usr/bin/time -h faad -o faad.wav 60min.m4a
Decoding 60min.m4a took: 33.23 sec. 108.32x real-time.
        33.24s real             32.13s user             1.11s sys

root@tsukihi:/tmp/test # /usr/bin/time -h ffmpeg -i 60min.m4a -acodec pcm_s16le ffmpeg.wav
size=  675000kB time=01:00:00.00 bitrate=1536.0kbits/s speed= 178x
video:0kB audio:675000kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.000011%
        20.53s real             19.55s user             0.97s sys
Comment 5 commit-hook freebsd_committer 2021-04-11 14:11:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=abd8356cb7e4606f0f8893176b25b3ee53d852e9

commit abd8356cb7e4606f0f8893176b25b3ee53d852e9
Author:     Thomas Zander <riggs@FreeBSD.org>
AuthorDate: 2021-04-11 05:49:28 +0000
Commit:     Thomas Zander <riggs@FreeBSD.org>
CommitDate: 2021-04-11 14:10:27 +0000

    audio/faad: Update to 2.10.0.

    Details:
    - Update to upstream version 2.10.0.
    - Follow upstream development to the GitHub page.
    - Remove references to the now-defunct former project page:
      http://www.audiocoding.com/

    PR:             254711
    Reported by:    pi
    MFH:            2021Q2

 audio/faad/Makefile                                    | 14 +++++---------
 audio/faad/distinfo                                    |  6 +++---
 audio/faad/files/patch-common_mp4ff_Makefile.am (gone) | 10 ----------
 audio/faad/files/patch-libfaad_cfft.c (gone)           | 13 -------------
 audio/faad/pkg-descr                                   |  2 +-
 audio/faad/pkg-plist                                   |  4 +---
 6 files changed, 10 insertions(+), 39 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-04-11 14:13:39 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=01071b5bf4353688c3ca902b527a2e0aa98f06f5

commit 01071b5bf4353688c3ca902b527a2e0aa98f06f5
Author:     Thomas Zander <riggs@FreeBSD.org>
AuthorDate: 2021-04-11 05:49:28 +0000
Commit:     Thomas Zander <riggs@FreeBSD.org>
CommitDate: 2021-04-11 14:12:36 +0000

    audio/faad: Update to 2.10.0.

    Details:
    - Update to upstream version 2.10.0.
    - Follow upstream development to the GitHub page.
    - Remove references to the now-defunct former project page:
      http://www.audiocoding.com/

    PR:             254711
    Reported by:    pi
    MFH:            2021Q2

    (cherry picked from commit abd8356cb7e4606f0f8893176b25b3ee53d852e9)

 audio/faad/Makefile                                    | 14 +++++---------
 audio/faad/distinfo                                    |  6 +++---
 audio/faad/files/patch-common_mp4ff_Makefile.am (gone) | 10 ----------
 audio/faad/files/patch-libfaad_cfft.c (gone)           | 13 -------------
 audio/faad/pkg-descr                                   |  2 +-
 audio/faad/pkg-plist                                   |  4 +---
 6 files changed, 10 insertions(+), 39 deletions(-)
Comment 7 Thomas Zander freebsd_committer 2021-04-11 14:21:17 UTC
Over time, both faad and faac will likely become obsolete. For now, I'd keep it in the tree and at some point deprecate after proper announcement and grace period.
Comment 8 daniel.engberg.lists 2021-04-11 17:18:53 UTC
Hi Thomas,

I think you misunderstood, I meant that we should encourage and transistion existing ports for a better user experience which as sidenote pretty much also goes for audio/libmad.

Best regards,
Daniel
Comment 9 Thomas Zander freebsd_committer 2021-04-12 05:50:52 UTC
Oh yeah, better user experience is always great. I don't think there is a disagreement here :-)

libmad is an interesting case. It is a fairly small fixed point implementation that might still advantages e.g. in constrained devices over something as big as ffmpeg.